import { flags, SfdxCommand } from '@salesforce/command';
export default class insert extends SfdxCommand {
    static description: string;
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    protected static flagsConfig: {
        path: flags.Discriminated<flags.Option<string>>;
        name: flags.Discriminated<flags.Option<string>>;
    };
    run(): Promise<boolean>;
    createDocumentTemplate(name: string): Promise<string>;
    createContentDocumentLink(documentTemplateId: any, contentVersionid: any): Promise<boolean>;
}
