import { flags, SfdxCommand } from '@salesforce/command';
export default class Install extends SfdxCommand {
    static description: string;
    static args: {
        name: string;
    }[];
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    protected static flagsConfig: {
        number: flags.Discriminated<flags.Option<string>>;
    };
    run(): Promise<boolean>;
    private getVersion;
}
