import { flags, SfdxCommand } from '@salesforce/command';
export default class classes extends SfdxCommand {
    static description: string;
    static args: {
        name: string;
    }[];
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        fromproject: flags.Discriminated<flags.Boolean<boolean>>;
    };
    run(): Promise<boolean>;
    private createFromOrg;
    private createFromProject;
}
