import { flags, SfdxCommand } from '@salesforce/command';
export default class components extends SfdxCommand {
    static description: string;
    static args: {
        name: string;
    }[];
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    protected static flagsConfig: {
        name: flags.Discriminated<flags.Option<string>>;
        all: flags.Discriminated<flags.Boolean<boolean>>;
        help: flags.Discriminated<flags.Boolean<void>>;
    };
    run(): Promise<boolean>;
}
