import { flags, SfdxCommand } from '@salesforce/command';
export default class deploy extends SfdxCommand {
    static description: string;
    static args: {
        name: string;
    }[];
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    protected static flagsConfig: {
        manifest: flags.Discriminated<flags.Option<string>>;
        check: flags.Discriminated<flags.Boolean<boolean>>;
        testpath: flags.Discriminated<flags.Option<string>>;
        help: flags.Discriminated<flags.Boolean<void>>;
    };
    run(): Promise<boolean>;
}
