"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
class version extends command_1.SfdxCommand {
    async run() {
        const appVersion = require('../../../package.json').version;
        this.ux.log(`Current version : ${appVersion}`);
        return true;
    }
}
version.description = 'Get current sfdx-gonexa-plugin version';
version.args = [{ name: 'file' }];
version.requiresUsername = false;
// Comment this out if your command does not support a hub org username
version.supportsDevhubUsername = false;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
version.requiresProject = false;
exports.default = version;
//# sourceMappingURL=version.js.map