"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
//import * as child from 'child_process';
//import * as util from 'util';
const fs = require("fs");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
class Import extends command_1.SfdxCommand {
    async run() {
        //const exec = util.promisify(child.exec); 
        let allRecordsMap = new Map();
        if (fs.existsSync('data')) {
            await fs.readdirSync('data').forEach(file => {
                var dataFile = fs.readFileSync('data/' + file, { encoding: 'utf8' });
                for (let record of JSON.parse(dataFile).records) {
                    allRecordsMap.set(record.attributes.referenceId, JSON.stringify(record));
                }
            });
        }
        /*for (let [objectName, data] of allRecordsMap) {
    
            var str: string = String(data);
    
            let jsonData = JSON.parse(str);
    
            for (let [key, value] of Object.entries(jsonData)) {
    
                console.log( key +' : ' +value);
            }
    
    
        }*/
        return true;
    }
}
Import.description = '(Not finished yet) Importing data';
Import.args = [{ name: 'file' }];
Import.requiresUsername = true;
// Comment this out if your command does not support a hub org username
Import.supportsDevhubUsername = true;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
Import.requiresProject = true;
exports.default = Import;
//# sourceMappingURL=import.js.map